## ros-one-libuvc-camera 0.0.11-5jammy.20251023.0320

=== debian/changelog ===
ros-one-libuvc-camera (0.0.11-5jammy.20251023.0320) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Thu, 23 Oct 2025 03:20:03 +0000

ros-one-libuvc-camera (0.0.11-0jammy) jammy; urgency=high

  * use libuvc-dev for noetic (#70 <https://github.com/ros-drivers/libuvc_ros/issues/70>)
    * update to package format=3
  * Add monochrome format support (#54 <https://github.com/ros-drivers/libuvc_ros/issues/54>)
  * use libuvc timestamp correctly (#53 <https://github.com/ros-drivers/libuvc_ros/issues/53>)
  * Fix ROS image output for uyvy uvc frame format input (#51 <https://github.com/ros-drivers/libuvc_ros/issues/51>)
  * Fixed locks so they stay in scope until end of method. (#36 <https://github.com/ros-drivers/libuvc_ros/issues/36>)
  * Contributors: Jason Mercer, Johann Freymuth, Kei Okada, Ryosuke Tajima, Stefan Kohlbrecher

 -- Ken Tossell <ken@tossell.net>  Sat, 20 Feb 2021 00:00:00 -0000

ros-one-libuvc-camera (0.0.10-0jammy) jammy; urgency=high

  * Merge pull request #46 <https://github.com/ros-drivers/libuvc_ros/issues/46> from k-okada/master
    set timestamp
  * set only when frame->capture_time is 0
  * set ros::Time::now() because libuvc does not set capture_time (https://github.com/ktossell/libuvc/blob/master/src/stream.c#L1100)
  * Merge pull request #45 <https://github.com/ros-drivers/libuvc_ros/issues/45> from mikaelarguedas/patch-2
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Merge pull request #42 <https://github.com/ros-drivers/libuvc_ros/issues/42> from mikaelarguedas/patch-1
    fix compiler warning
  * fix compiler warning
    http://build.ros.org/view/Ldev/job/Ldev__libuvc_ros__ubuntu_xenial_amd64/3/warnings21Result/
  * Contributors: Kei Okada, Mikael Arguedas

 -- Ken Tossell <ken@tossell.net>  Fri, 13 Apr 2018 00:00:00 -0000

ros-one-libuvc-camera (0.0.9-0jammy) jammy; urgency=high

  * enable to compile with libuvc <= v0.0.5
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Thu, 15 Jun 2017 00:00:00 -0000

ros-one-libuvc-camera (0.0.8-0jammy) jammy; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#40 <https://github.com/ros-drivers/libuvc_ros/issues/40>)
  * Implement missing index select behavior (#27 <https://github.com/ros-drivers/libuvc_ros/issues/27>)
  * Enable mjpeg support despite uvs_any2bgr shortcoming (#26 <https://github.com/ros-drivers/libuvc_ros/issues/26>)
  * [libuvc_camera/src/camera_driver.cpp] use frame's capture time for   timestamp of ros message instead of callback time (#24 <https://github.com/ros-drivers/libuvc_ros/issues/24>)
  * [libuvc_camera] support multiple video mode (#22 <https://github.com/ros-drivers/libuvc_ros/issues/22>)
    * [libuvc_camera] add detail error message if no image format support
    * [libuvc_camera] support multiple video_mode
  * add new parameters in cfg (#21 <https://github.com/ros-drivers/libuvc_ros/issues/21>)
  * Changed defaults: auto_exposure=True, auto_focus=aperture_priority
  * Implemented AE priority, abs exposure/focus, autofocus, pantilt controls
  * Contributors: Yuki Furuta, Josh Villbrandt, Kei Okada, Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-libuvc-camera (0.0.7-0jammy) jammy; urgency=high

  * Removed dependency on the deprecated driver_base package.
  * Added more informative error messages in the case of uvc_open() failure

 -- Ken Tossell <ken@tossell.net>  Thu, 06 Mar 2014 00:00:00 -0000

ros-one-libuvc-camera (0.0.6-0jammy) jammy; urgency=high

  * Install libuvc_camera_nodelet.xml

 -- Ken Tossell <ken@tossell.net>  Thu, 19 Dec 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.5-0jammy) jammy; urgency=high

  * Fixed missing timestamp and frame_id in camera_info and image_raw
  * Install camera_node into the package's bin path, not ros-global bin.

 -- Ken Tossell <ken@tossell.net>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.4-0jammy) jammy; urgency=high

  * Added libuvc_ in libuvc_camera_nodelet

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.3-0jammy) jammy; urgency=high

  * add an explicit dependency on generated files in CMake
    This will make sure that the generated headers are build before they are compiled.

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.2-0jammy) jammy; urgency=high

  * libuvc_camera now uses the libuvc cmake config script
  * Fixed PACKAGE reference.
  * Removed roslib setup code from UVCCamera.cfg.

 -- Ken Tossell <ken@tossell.net>  Mon, 12 Aug 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.1-0jammy) jammy; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 01 Aug 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.0-0jammy) jammy; urgency=high

  * fixed dependencies and nodelet export
  * adding missing catkin files
  * catkin build
  * License blocks
  * added parameter for timestamping method
  * added video format param. set min=0 for unsigned int params
  * Added libuvc_camera nodelet
  * reset driver state after closing uvc context
  * forgot to uvc_exit(ctx) -- driver now closes on sigint
  * update manifests
  * use camera_info_manager for a real CameraInfo
  * initial use of auto-update controls
    The user can change AE mode, and the camera auto-updates
    absolute exposure time and white balance temperature, which
    are sent on to dynamic_reconfigure clients.
  * fix rgb_frame_ leak
  * beginning of driver with controls, dyn_reconf, caminfo
  * added parameters ~vendor, ~product, ~serial_num
    ~vendor and ~product should be 0xhexadecimal. ~serial_num
    can be any string.
  * added -luvc
  * sample ROS driver using libuvc

 -- Ken Tossell <ken@tossell.net>  Thu, 27 Jun 2013 00:00:00 -0000

## ros-one-libuvc-camera 0.0.11-5jammy.20260221.0000

=== debian/changelog ===
ros-one-libuvc-camera (0.0.11-5jammy.20260221.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Sat, 21 Feb 2026 00:00:21 +0000

## ros-one-libuvc-camera 0.0.11-5noble.20251023.0317

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(libuvc_camera)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp camera_info_manager dynamic_reconfigure image_transport nodelet sensor_msgs)

generate_dynamic_reconfigure_options(cfg/UVCCamera.cfg)

find_package(libuvc REQUIRED)
# if libuvc_LIBRARIES are empty, check cmake target
if(NOT libuvc_LIBRARIES AND TARGET LibUVC::UVCShared)
  set(libuvc_LIBRARIES LibUVC::UVCShared)
endif()
if(NOT libuvc_LIBRARIES)
  message(FATAL_ERROR "could not find expected libuvc libraries in package")
endif()

catkin_package(
  CATKIN_DEPENDS
    roscpp
    camera_info_manager
    dynamic_reconfigure
    image_transport
    nodelet
    sensor_msgs
  LIBRARIES libuvc_camera_nodelet
  )

add_definitions(-Dlibuvc_VERSION_MAJOR=${libuvc_VERSION_MAJOR})
add_definitions(-Dlibuvc_VERSION_MINOR=${libuvc_VERSION_MINOR})
add_definitions(-Dlibuvc_VERSION_PATCH=${libuvc_VERSION_PATCH})
include_directories(include ${libuvc_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
link_directories(${catkin_LINK_DIRS})

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(camera_node src/main.cpp src/camera_driver.cpp)
target_link_libraries(camera_node ${libuvc_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(camera_node ${PROJECT_NAME}_gencfg)

add_library(libuvc_camera_nodelet src/nodelet.cpp src/camera_driver.cpp)
add_dependencies(libuvc_camera_nodelet ${libuvc_camera_EXPORTED_TARGETS})
target_link_libraries(libuvc_camera_nodelet ${libuvc_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(libuvc_camera_nodelet ${PROJECT_NAME}_gencfg)

install(TARGETS camera_node libuvc_camera_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES libuvc_camera_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

=== debian/changelog ===
ros-one-libuvc-camera (0.0.11-5noble.20251023.0317) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Thu, 23 Oct 2025 03:17:16 +0000

ros-one-libuvc-camera (0.0.11-0noble) noble; urgency=high

  * use libuvc-dev for noetic (#70 <https://github.com/ros-drivers/libuvc_ros/issues/70>)
    * update to package format=3
  * Add monochrome format support (#54 <https://github.com/ros-drivers/libuvc_ros/issues/54>)
  * use libuvc timestamp correctly (#53 <https://github.com/ros-drivers/libuvc_ros/issues/53>)
  * Fix ROS image output for uyvy uvc frame format input (#51 <https://github.com/ros-drivers/libuvc_ros/issues/51>)
  * Fixed locks so they stay in scope until end of method. (#36 <https://github.com/ros-drivers/libuvc_ros/issues/36>)
  * Contributors: Jason Mercer, Johann Freymuth, Kei Okada, Ryosuke Tajima, Stefan Kohlbrecher

 -- Ken Tossell <ken@tossell.net>  Sat, 20 Feb 2021 00:00:00 -0000

ros-one-libuvc-camera (0.0.10-0noble) noble; urgency=high

  * Merge pull request #46 <https://github.com/ros-drivers/libuvc_ros/issues/46> from k-okada/master
    set timestamp
  * set only when frame->capture_time is 0
  * set ros::Time::now() because libuvc does not set capture_time (https://github.com/ktossell/libuvc/blob/master/src/stream.c#L1100)
  * Merge pull request #45 <https://github.com/ros-drivers/libuvc_ros/issues/45> from mikaelarguedas/patch-2
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Merge pull request #42 <https://github.com/ros-drivers/libuvc_ros/issues/42> from mikaelarguedas/patch-1
    fix compiler warning
  * fix compiler warning
    http://build.ros.org/view/Ldev/job/Ldev__libuvc_ros__ubuntu_xenial_amd64/3/warnings21Result/
  * Contributors: Kei Okada, Mikael Arguedas

 -- Ken Tossell <ken@tossell.net>  Fri, 13 Apr 2018 00:00:00 -0000

ros-one-libuvc-camera (0.0.9-0noble) noble; urgency=high

  * enable to compile with libuvc <= v0.0.5
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Thu, 15 Jun 2017 00:00:00 -0000

ros-one-libuvc-camera (0.0.8-0noble) noble; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#40 <https://github.com/ros-drivers/libuvc_ros/issues/40>)
  * Implement missing index select behavior (#27 <https://github.com/ros-drivers/libuvc_ros/issues/27>)
  * Enable mjpeg support despite uvs_any2bgr shortcoming (#26 <https://github.com/ros-drivers/libuvc_ros/issues/26>)
  * [libuvc_camera/src/camera_driver.cpp] use frame's capture time for   timestamp of ros message instead of callback time (#24 <https://github.com/ros-drivers/libuvc_ros/issues/24>)
  * [libuvc_camera] support multiple video mode (#22 <https://github.com/ros-drivers/libuvc_ros/issues/22>)
    * [libuvc_camera] add detail error message if no image format support
    * [libuvc_camera] support multiple video_mode
  * add new parameters in cfg (#21 <https://github.com/ros-drivers/libuvc_ros/issues/21>)
  * Changed defaults: auto_exposure=True, auto_focus=aperture_priority
  * Implemented AE priority, abs exposure/focus, autofocus, pantilt controls
  * Contributors: Yuki Furuta, Josh Villbrandt, Kei Okada, Ken Tossell

 -- Ken Tossell <ken@tossell.net>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-libuvc-camera (0.0.7-0noble) noble; urgency=high

  * Removed dependency on the deprecated driver_base package.
  * Added more informative error messages in the case of uvc_open() failure

 -- Ken Tossell <ken@tossell.net>  Thu, 06 Mar 2014 00:00:00 -0000

ros-one-libuvc-camera (0.0.6-0noble) noble; urgency=high

  * Install libuvc_camera_nodelet.xml

 -- Ken Tossell <ken@tossell.net>  Thu, 19 Dec 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.5-0noble) noble; urgency=high

  * Fixed missing timestamp and frame_id in camera_info and image_raw
  * Install camera_node into the package's bin path, not ros-global bin.

 -- Ken Tossell <ken@tossell.net>  Fri, 04 Oct 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.4-0noble) noble; urgency=high

  * Added libuvc_ in libuvc_camera_nodelet

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.3-0noble) noble; urgency=high

  * add an explicit dependency on generated files in CMake
    This will make sure that the generated headers are build before they are compiled.

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.2-0noble) noble; urgency=high

  * libuvc_camera now uses the libuvc cmake config script
  * Fixed PACKAGE reference.
  * Removed roslib setup code from UVCCamera.cfg.

 -- Ken Tossell <ken@tossell.net>  Mon, 12 Aug 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.1-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 01 Aug 2013 00:00:00 -0000

ros-one-libuvc-camera (0.0.0-0noble) noble; urgency=high

  * fixed dependencies and nodelet export
  * adding missing catkin files
  * catkin build
  * License blocks
  * added parameter for timestamping method
  * added video format param. set min=0 for unsigned int params
  * Added libuvc_camera nodelet
  * reset driver state after closing uvc context
  * forgot to uvc_exit(ctx) -- driver now closes on sigint
  * update manifests
  * use camera_info_manager for a real CameraInfo
  * initial use of auto-update controls
    The user can change AE mode, and the camera auto-updates
    absolute exposure time and white balance temperature, which
    are sent on to dynamic_reconfigure clients.
  * fix rgb_frame_ leak
  * beginning of driver with controls, dyn_reconf, caminfo
  * added parameters ~vendor, ~product, ~serial_num
    ~vendor and ~product should be 0xhexadecimal. ~serial_num
    can be any string.
  * added -luvc
  * sample ROS driver using libuvc

 -- Ken Tossell <ken@tossell.net>  Thu, 27 Jun 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-libuvc-camera
Section: misc
Priority: optional
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, libuvc-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/libuvc_camera
Standards-Version: 3.9.2

Package: ros-one-libuvc-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, libuvc-dev, ros-one-camera-info-manager, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: USB Video Class camera driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-libuvc-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-libuvc-camera 0.0.11-5noble.20260221.0025

=== debian/changelog ===
ros-one-libuvc-camera (0.0.11-5noble.20260221.0025) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Sat, 21 Feb 2026 00:25:44 +0000
